<?php

namespace app\adminapi\model\diy;

use app\common\model\diy\LayoutPage as LayoutPageModel;

/**
 * @package app\adminapi\model\diy
 * @class LayoutPage
 * @author xzncit 2024/3/29
 */
class LayoutPage extends LayoutPageModel{

    /**
     * 增加查询条件
     * @param $query
     * @param $value
     * @param $data
     */
    public function searchTitleAttr($query, $value, $data){
        if(!empty($value)){
            $query->where("name","like","%".$value."%");
        }
    }

}